Bug 1772323 - Unable to delete SCAP reports from Satellite UI
Summary: Unable to delete SCAP reports from Satellite UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: SCAP Plugin
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: 6.7.0
Assignee: Ondřej Pražák
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-14 07:22 UTC by Jameer Pathan
Modified: 2020-04-14 13:27 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-foreman_openscap-2.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28264 Normal Closed Unable to delete SCAP reports from UI 2020-02-21 08:05:24 UTC
Red Hat Bugzilla 1772332 unspecified NEW Compliance reports Selection for deletion doesn't work as expected. 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:19 UTC

Internal Links: 1772332

Description Jameer Pathan 2019-11-14 07:22:16 UTC
Description of problem:
Unable to delete SCAP reports from Satellite UI

Version-Release number of selected component (if applicable):
- Satellite 6.7.0 Snap 1
- tfm-rubygem-foreman_openscap-2.0.0-1.fm1_24.el7sat.noarch
- openscap-1.2.17-4.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Generate few SCAP reports.
2. Go to Hosts > Reports
3. Select reports to be deleted.
4. Click on 'Delete reports' button.
5. Click on Submit button.

Actual results:
- Nothing happens, Reports are not deleted.

Expected results:
- Reports should get Deleted.

Additional info:

Comment 5 Ondřej Pražák 2019-11-14 10:00:09 UTC
Created redmine issue https://projects.theforeman.org/issues/28264 from this bug

Comment 6 Bryan Kearney 2019-11-14 11:02:51 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 7 Bryan Kearney 2019-11-14 11:02:53 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 8 Bryan Kearney 2019-11-15 11:02:39 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28264 has been resolved.

Comment 9 Jameer Pathan 2019-12-05 05:53:39 UTC
Verified:

Verified with:
- Satellite 6.7.0 snap 4
- openscap-1.2.17-4.el7.x86_64
- tfm-rubygem-foreman_openscap-2.0.2-1.el7sat.noarch

Steps:
1. Generate few SCAP reports.
2. Go to Hosts > Reports
3. Select reports to be deleted.
4. Click on 'Delete reports' button.
5. Click on Submit button.

Observation:
- Selected SCAP reports got deleted.

Comment 12 errata-xmlrpc 2020-04-14 13:27:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.